import request from '@/utils/request'

// 查询MemberRecharge列表
export function listMemberRecharge(query) {
    return request({
        url: '/api/v1/member-recharge',
        method: 'get',
        params: query
    })
}

// 查询MemberRecharge详细
export function getMemberRecharge (id) {
    return request({
        url: '/api/v1/member-recharge/' + id,
        method: 'get'
    })
}


// 新增MemberRecharge
export function addMemberRecharge(data) {
    return request({
        url: '/api/v1/member-recharge',
        method: 'post',
        data: data
    })
}

// 修改MemberRecharge
export function updateMemberRecharge(data) {
    return request({
        url: '/api/v1/member-recharge/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MemberRecharge
export function delMemberRecharge(data) {
    return request({
        url: '/api/v1/member-recharge',
        method: 'delete',
        data: data
    })
}

